const express = require("express");
const router = express.Router();
const artigosController = require("../controllers/artigosController");

// Route for getting all users
router.get("/artigos", artigosController.getAllArtigos);

// Route for getting a specific user by ID
router.get("/artigos/:id", artigosController.getArtigoById);

router.get("/artigos/imagem/:nomeImagem", artigosController.getImagemArtigo);

// Route for creating a new user
router.post("/artigos", artigosController.createArtigo);

// Route for updating a user by ID
router.put("/artigos/:id", artigosController.updateArtigo);

// Route for deleting a user by ID
router.delete("/artigos/:id", artigosController.deleteArtigo);

module.exports = router;
